- Qt 5.0
- QFeedbackThemeInterface
- Qt 5.0.0 Reference Documentation

# QFeedbackThemeInterface Class

The QFeedbackThemeInterface class is the base class for plugins providing themed effects. More...

Header: | #include <QFeedbackThemeInterface>
Inherits: | QFeedbackInterface

- List of all members, including inherited members

## Public Functions

virtual bool | play(QFeedbackEffect::Effect effect) = 0
virtual PluginPriority | pluginPriority() = 0

## Detailed Description

They can be of any nature (tactile, audio...). This simple interface will be used to play those themed effects by a simple call to the play method.

## Member Function Documentation

### `[pure virtual]` bool QFeedbackThemeInterface::play(QFeedbackEffect::Effect effect)

Plays the theme effect effect. Returns false in case of an error.

### `[pure virtual]` PluginPriority QFeedbackThemeInterface::pluginPriority()

Returns the priority for the plugin.